import dynamix_sdk.base as _base


class CloudapiComputePinToStackResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputePinToStackProtocol(_base.BasePostAPIFunctionProtocol):
    def pin_to_stack(
        self,
        *,
        vm_id: int,
        auto_start: bool = False,
    ) -> CloudapiComputePinToStackResultBool:
        ...
